[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBLookup.Create

Constructor for the class instance.

## Declaration

Source position: dbctrls.pp line 153

`public constructor TDBLookup.Create(`
`AOwner: TComponent`
`); override;`

## Description

Create is the overridden constructor for the class instance, and calls the inherited constructor. Create allocates resources needed for internal members in the class instance, and sets the default values for the DisplayEmpty and EmptyValue properties (both are set to an empty string).

## See also

TDBLookup.DisplayEmpty |  | Value displayed in the lookup control when a lookup value is not available.
TDBLookup.EmptyValue |  | Value stored for the lookup control when a lookup value is not available.
TComponent.Create